Get a customer
curl --request GET \
--url https://back.leap.onclarity.com/api/customer/{customer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/customer/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/customer/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"first_name": "<string>",
"organization_id": 123,
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"last_name": "<string>",
"avatar_url": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"custom_attributes": {},
"gender": "<string>",
"gender_source": "<string>",
"merged_into_id": 123,
"has_open_suggestion": false,
"channels": [
"whatsapp"
]
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Customers
Get a customer
GET
/
api
/
customer
/
{customer_id}
Get a customer
curl --request GET \
--url https://back.leap.onclarity.com/api/customer/{customer_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://back.leap.onclarity.com/api/customer/{customer_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://back.leap.onclarity.com/api/customer/{customer_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": 123,
"first_name": "<string>",
"organization_id": 123,
"attributes": [
{
"key": "<string>",
"value": "<string>"
}
],
"last_name": "<string>",
"avatar_url": "<string>",
"tags": [
{
"id": 123,
"name": "<string>",
"color": "<string>",
"description": "<string>"
}
],
"custom_attributes": {},
"gender": "<string>",
"gender_source": "<string>",
"merged_into_id": 123,
"has_open_suggestion": false,
"channels": [
"whatsapp"
]
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Path Parameters
Response
Request fulfilled, document follows
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Channel type (web, android_sdk, ios_sdk, whatsapp)
Available options:
whatsapp, android_sdk, ios_sdk, web, voice, social, x, email, instagram, linkedin